const express = require('express');
const router = express.Router();
const { getAllPositions, createPosition, updatePosition, deletePosition } = require('../controllers/positionController');
const authMiddleware = require('../middleware/authMiddleware')

router.get('/', authMiddleware, getAllPositions);
router.post('/', authMiddleware, createPosition);
router.put('/:id', authMiddleware, updatePosition);
router.delete('/:id', authMiddleware, deletePosition);

module.exports = router;
